OGRE-Next: Ogre::CreateGpuSharedParametersScriptCompilerEvent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CreateGpuSharedParametersScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateGpuSharedParametersScriptCompilerEvent:
[legend]

## Public Member Functions
| CreateGpuSharedParametersScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes
String | mFile
String | mName
String | mResourceGroup
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ CreateGpuSharedParametersScriptCompilerEvent()

Ogre::CreateGpuSharedParametersScriptCompilerEvent::CreateGpuSharedParametersScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup )
| inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mFile, mName, and mResourceGroup.

## Member Data Documentation

## ◆ eventType

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::eventType
| static

Referenced by CreateGpuSharedParametersScriptCompilerEvent().

## ◆ mFile

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mFile

Referenced by CreateGpuSharedParametersScriptCompilerEvent().

## ◆ mName

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mName

Referenced by CreateGpuSharedParametersScriptCompilerEvent().

## ◆ mResourceGroup

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mResourceGroup

Referenced by CreateGpuSharedParametersScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h